> For the complete documentation index, see [llms.txt](https://docs.migo.pe/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.migo.pe/v2/ruc/buen-contribuyente.md).

# Buen contribuyente

{% hint style="info" %}
Información SUNAT actualizada al 10/07/2025
{% endhint %}

## GET /ruc/{ruc}/buen-contribuyente

> Consulta RUC buen contribuyente

```json
{"openapi":"3.0.2","info":{"title":"MIGO API","version":"2.0"},"tags":[{"name":"ruc"}],"servers":[{"url":"https://api.migo.pe/api/v2"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"AcceptJsonParam":{"name":"Accept","in":"header","required":true,"schema":{"type":"string"}}},"schemas":{"BuenContribuyente":{"type":"object","properties":{"success":{"type":"boolean"},"ruc":{"type":"string"},"nombre_o_razon_social":{"type":"string"},"a_partir_del":{"type":"string"},"resolucion":{"type":"string"}}},"Forbidden":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"}}},"NotFound":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"}}},"UnprocessableContent":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"},"errors":{"type":"object"}}}},"responses":{"ForbiddenResponse":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Forbidden"}}}}}},"paths":{"/ruc/{ruc}/buen-contribuyente":{"get":{"summary":"Consulta RUC buen contribuyente","tags":["ruc"],"parameters":[{"$ref":"#/components/parameters/AcceptJsonParam"},{"name":"ruc","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuenContribuyente"}}}},"403":{"$ref":"#/components/responses/ForbiddenResponse"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnprocessableContent"}}}}}}}}}
```
